HostOnNet Blog

Error: Missing Dependency: perl(Crypt::PasswdMD5) is needed by package syslinux

When i run

yum update

I got following error

root@server70 [~]# yum update
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * rpmforge: fr2.rpmfind.net
 * base: mirrors.service.softlayer.com
 * updates: mirrors.service.softlayer.com
 * addons: mirrors.service.softlayer.com
 * extras: mirrors.service.softlayer.com
rpmforge                                                                                               | 1.1 kB     00:00
base                                                                                                   | 1.1 kB     00:00
updates                                                                                                |  951 B     00:00
addons                                                                                                 |  951 B     00:00
extras                                                                                                 | 1.1 kB     00:00
Excluding Packages in global exclude list
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package syslinux.x86_64 0:3.82-1.el5.rf set to be updated
--> Processing Dependency: perl(Crypt::PasswdMD5) for package: syslinux
--> Finished Dependency Resolution
syslinux-3.82-1.el5.rf.x86_64 from rpmforge has depsolving problems
  --> Missing Dependency: perl(Crypt::PasswdMD5) is needed by package syslinux-3.82-1.el5.rf.x86_64 (rpmforge)
Error: Missing Dependency: perl(Crypt::PasswdMD5) is needed by package syslinux-3.82-1.el5.rf.x86_64 (rpmforge)
root@server70 [~]#

syslinux is not useful on servers, so this can be fixed by editing /etc/yum.conf

vi /etc/yum.conf

In the line exclude =, at the end add syslinux*

In this cause, installation is from “rpmforge” repo, it is not used, so i removed rpmforge repository

root@server70 [~]# cd /etc/yum.repos.d
root@server70 [/etc/yum.repos.d]# ls -l
total 60
drwxr-xr-x  2 root root  4096 Jan 22 04:53 ./
drwxr-xr-x 98 root root 12288 Jun 16 10:36 ../
-rw-r--r--  1 root root  1946 Dec  3  2007 CentOS-Base.repo
-rw-r--r--  1 root root  2049 Nov 22  2007 CentOS-Base.repo.original
-rw-r--r--  1 root root  2323 Mar 16 20:27 CentOS-Base.repo.rpmnew
-rw-r--r--  1 root root   626 Mar 16 20:27 CentOS-Media.repo
-rw-r--r--  1 root root   954 Apr 25  2008 epel.repo_old
-rw-r--r--  1 root root  1054 Apr 25  2008 epel-testing.repo_old
-rw-r--r--  1 root root   684 Mar  8  2007 mirrors-rpmforge
-rw-r--r--  1 root root   428 Mar  8  2007 rpmforge.repo
root@server70 [/etc/yum.repos.d]# mv rpmforge.repo rpmforge.repo_old
root@server70 [/etc/yum.repos.d]# yum update
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirrors.service.softlayer.com
 * updates: mirrors.service.softlayer.com
 * addons: mirrors.service.softlayer.com
 * extras: mirrors.service.softlayer.com
Excluding Packages in global exclude list
Finished
Setting up Update Process
No Packages marked for Update
root@server70 [/etc/yum.repos.d]#

Posted in Linux